# GLM: glm::gtx::verbose_operator Namespace Reference

# glm::gtx::verbose_operator Namespace Reference

GLM_GTX_verbose_operator extension: Use words to replace operators. More...

## Functions

template<typename genTypeT , typename genTypeU >
genTypeT | add (genTypeT const &a, genTypeU const &b)
| Addition of two values From GLM_GTX_verbose_operator extension.
template<typename genTypeT , typename genTypeU >
genTypeT | div (genTypeT const &a, genTypeU const &b)
| Division of two values From GLM_GTX_verbose_operator extension.
template<typename genTypeT , typename genTypeU , typename genTypeV >
genTypeT | mad (genTypeT const &a, genTypeU const &b, genTypeV const &c)
| Multiplication and addition of three values From GLM_GTX_verbose_operator extension.
template<typename genTypeT , typename genTypeU >
genTypeT | mul (genTypeT const &a, genTypeU const &b)
| Multiplication of two values From GLM_GTX_verbose_operator extension.
template<typename genTypeT , typename genTypeU >
genTypeT | sub (genTypeT const &a, genTypeU const &b)
| Substration of two values From GLM_GTX_verbose_operator extension.

## Detailed Description

GLM_GTX_verbose_operator extension: Use words to replace operators.

## Function Documentation

genTypeT glm::gtx::verbose_operator::add | ( | genTypeT const & | a,
|  | genTypeU const & | b |
| ) |  |  |

Addition of two values From GLM_GTX_verbose_operator extension.

genTypeT glm::gtx::verbose_operator::div | ( | genTypeT const & | a,
|  | genTypeU const & | b |
| ) |  |  |

Division of two values From GLM_GTX_verbose_operator extension.

genTypeT glm::gtx::verbose_operator::mad | ( | genTypeT const & | a,
|  | genTypeU const & | b,
|  | genTypeV const & | c |
| ) |  |  |

Multiplication and addition of three values From GLM_GTX_verbose_operator extension.

genTypeT glm::gtx::verbose_operator::mul | ( | genTypeT const & | a,
|  | genTypeU const & | b |
| ) |  |  |

Multiplication of two values From GLM_GTX_verbose_operator extension.

genTypeT glm::gtx::verbose_operator::sub | ( | genTypeT const & | a,
|  | genTypeU const & | b |
| ) |  |  |

Substration of two values From GLM_GTX_verbose_operator extension.